Bullet Collision Detection & Physics Library: GIM_ShapeRetriever Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
GIM_ShapeRetriever Class Reference

Retrieving shapes shapes. More...

Collaboration diagram for GIM_ShapeRetriever:
[legend]

## Classes
class | ChildShapeRetriever
class | TetraShapeRetriever
class | TriangleShapeRetriever

## Public Member Functions
| GIM_ShapeRetriever (const btGImpactShapeInterface *gim_shape)
const btCollisionShape * | getChildShape (int index)

## Public Attributes
const btGImpactShapeInterface * | m_gim_shape
btTriangleShapeEx | m_trishape
btTetrahedronShapeEx | m_tetrashape
ChildShapeRetriever | m_child_retriever
TriangleShapeRetriever | m_tri_retriever
TetraShapeRetriever | m_tetra_retriever
ChildShapeRetriever * | m_current_retriever

## Detailed Description

Retrieving shapes shapes.

Declared here due of insuficent space on Pool allocators

Definition at line 85 of file btGImpactCollisionAlgorithm.cpp.

## Constructor & Destructor Documentation

## ◆ GIM_ShapeRetriever()

GIM_ShapeRetriever::GIM_ShapeRetriever | ( | const btGImpactShapeInterface * | gim_shape | ) |
| inline

Definition at line 131 of file btGImpactCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ getChildShape()

const btCollisionShape * GIM_ShapeRetriever::getChildShape | ( | int | index | ) |
| inline

Definition at line 151 of file btGImpactCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_child_retriever

ChildShapeRetriever GIM_ShapeRetriever::m_child_retriever

Definition at line 126 of file btGImpactCollisionAlgorithm.cpp.

## ◆ m_current_retriever

ChildShapeRetriever* GIM_ShapeRetriever::m_current_retriever

Definition at line 129 of file btGImpactCollisionAlgorithm.cpp.

## ◆ m_gim_shape

const btGImpactShapeInterface* GIM_ShapeRetriever::m_gim_shape

Definition at line 88 of file btGImpactCollisionAlgorithm.cpp.

## ◆ m_tetra_retriever

TetraShapeRetriever GIM_ShapeRetriever::m_tetra_retriever

Definition at line 128 of file btGImpactCollisionAlgorithm.cpp.

## ◆ m_tetrashape

btTetrahedronShapeEx GIM_ShapeRetriever::m_tetrashape

Definition at line 90 of file btGImpactCollisionAlgorithm.cpp.

## ◆ m_tri_retriever

TriangleShapeRetriever GIM_ShapeRetriever::m_tri_retriever

Definition at line 127 of file btGImpactCollisionAlgorithm.cpp.

## ◆ m_trishape

btTriangleShapeEx GIM_ShapeRetriever::m_trishape

Definition at line 89 of file btGImpactCollisionAlgorithm.cpp.

The documentation for this class was generated from the following file:

- btGImpactCollisionAlgorithm.cpp